BizKitHub
DocsAPI ReferenceLedger/bff/ledger/asset/depreciation-reverse
postLedgerAdmin BFF

/bff/ledger/asset/depreciation-reverse

Reverse a card's latest booked year

LedgerpostBffLedgerAssetDepreciation-reverse

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
idstringRequired

Asset external id.

Length: 16–24
fiscalYearnumberRequired
Range: 1990–2200
reasonstringRequired
Length: 3–500

Response schema

1 status code documented

200Success
successbooleanRequired

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/asset/depreciation-reverse

post
curl -X POST "https://api.bizkithub.com/bff/ledger/asset/depreciation-reverse" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "id": "example_id",
  "fiscalYear": 0,
  "reason": "example_reason"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key